[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Objects' (#rtl)

# TBufStream.Write

Write data to the file from a buffer in memory.

## Declaration

Source position: objects.pp line 360

`procedure TBufStream.Write(`
`var Buf;`
`Count: LongInt`
`); virtual;`

## Description

If the Stream is open and the stream status is stOK then Write will write Count bytes from Buf and place them in the stream.

Write will first try to write the data to the stream's internal buffer. When the internal buffer is full, then the contents will be written to disk. This process is repeated until all data has been written.

For an example, see TStream.Read.

## Errors

In case of an error, Status is set to StWriteError, and ErrorInfo gets the OS specific error.

## See also

TStream.Write |  | Write a number of bytes to the stream.
TBufStream.Read |  | Read data from the file to a buffer in memory.